## org.apache.lucene.analysis.pattern
Class PatternReplaceCharFilterFactory

    java.lang.Object
      org.apache.lucene.analysis.util.AbstractAnalysisFactory
          org.apache.lucene.analysis.util.CharFilterFactory
              org.apache.lucene.analysis.pattern.PatternReplaceCharFilterFactory

    public class PatternReplaceCharFilterFactory

extends CharFilterFactory

Factory for `PatternReplaceCharFilter`.

     <fieldType name="text_ptnreplace" class="solr.TextField" positionIncrementGap="100">
       <analyzer>
         <charFilter class="solr.PatternReplaceCharFilterFactory"
                        pattern="([^a-z])" replacement=""/>
         <tokenizer class="solr.KeywordTokenizerFactory"/>
       </analyzer>
     </fieldType>

Since:
  Solr 3.1

Field Summary

Fields inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory
`args, luceneMatchVersion`

Constructor Summary
`PatternReplaceCharFilterFactory()`

Method Summary
`CharFilter` `create(Reader input)` Wraps the given Reader with a CharFilter.
`void` `init(Map<String,String> args)` Initialize this factory via a set of key-value pairs.

Methods inherited from class org.apache.lucene.analysis.util.CharFilterFactory
`availableCharFilters, forName, lookupClass, reloadCharFilters`

Methods inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory
`assureMatchVersion, getArgs, getBoolean, getBoolean, getInt, getInt, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSnowballWordSet, getWordSet, setLuceneMatchVersion, splitFileNames`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PatternReplaceCharFilterFactory

    public PatternReplaceCharFilterFactory()

Method Detail

### init

    public void init(Map<String,String> args)

  Description copied from class: `AbstractAnalysisFactory`
  Initialize this factory via a set of key-value pairs.

  Overrides:
    `init` in class `AbstractAnalysisFactory`

### create

    public CharFilter create(Reader input)

  Description copied from class: `CharFilterFactory`
  Wraps the given Reader with a CharFilter.

  Specified by:
    `create` in class `CharFilterFactory`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.